# Note that this is NOT a relocatable package
%define prefix   /usr

Summary: The LibGTop library
Name: libgtop
Version: 1.0.12
Release: 4
Epoch: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/libgtop-%{version}.tar.gz
Patch: libgtop-1.0.12-isdn.patch
URL: http://www.home-of-linux.org/gnome/libgtop/
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-libs-devel

%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package devel
Summary: Libraries, includes and other files to develop LibGTop applications.
Group: Development/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description devel
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package examples
Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
Group: System Environment/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description examples
Install this package for a set of programs that are examples of developing
with libgtop.
%prep
%setup -q
%patch -p1 -b .isdn

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix \
	--without-linux-table --with-libgtop-inodedb \
	--with-libgtop-examples --with-libgtop-guile \
	--with-libgtop-smp %{_target_platform}
else
  %configure \
	--without-linux-table --with-libgtop-inodedb \
	--with-libgtop-examples --with-libgtop-guile \
	--with-libgtop-smp 
fi

make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:

#
# msf - remove these as they are really supposed to come from gnome-libs
#
# martin - don't remove since they are no longer installed if build
#          with GNOME
#
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.a
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.la
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0.0.0

# Eh why?
# rm -fr $RPM_BUILD_ROOT/%{prefix}/include/libgtop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc TODO NEWS.old copyright.txt ANNOUNCE ANNOUNCE-0.25
%doc src/inodedb/README.inodedb README.latest

%{prefix}/lib/lib*.so.*
%{prefix}/bin/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*

%files examples
%defattr(-,root,root)

%{prefix}/libexec/libgtop/*


%changelog
* Tue Jul 17 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel 

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- langify
- move changelog to end of spec file

* Thu Nov 30 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.10

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Updated Epoch

* Tue Aug 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.9, attempt to fix bugzilla #14105

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- no Docdir:
- use %%makeinstall

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- configure tweaks for ia64

* Wed Sep 08 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.2

* Tue Aug 19 1998 Martin Baulig <martin@home-of-linux.org>

- released LibGTop 0.25.0

* Sun Aug 16 1998 Martin Baulig <martin@home-of-linux.org>

- first version of the RPM

